pxp (1.2.1-2) debian-dir only changes

Summary

 debian/changelog                           |  497 +++++++++++++++++++++++++++++
 debian/clean                               |    1 
 debian/compat                              |    1 
 debian/control                             |   38 ++
 debian/copyright                           |   31 +
 debian/dirs.in                             |    1 
 debian/docs                                |    5 
 debian/examples                            |    1 
 debian/libpxp-ocaml-dev.doc-base           |    8 
 debian/links                               |    1 
 debian/patches/00dpatch.conf               |    2 
 debian/patches/00list                      |    2 
 debian/patches/install_destdir.dpatch      |  133 +++++++
 debian/patches/ocamldoc_missing_txt.dpatch |   20 +
 debian/rules                               |   21 +
 debian/watch                               |    2 
 16 files changed, 764 insertions(+)

    
download this patch

Patch contents

--- pxp-1.2.1.orig/debian/changelog
+++ pxp-1.2.1/debian/changelog
@@ -0,0 +1,497 @@
+pxp (1.2.1-2) unstable; urgency=low
+
+  [ Stefano Zacchiroli ]
+  * debian/control
+    - bump Standards-Version to 3.8.3 (no chances needed)
+    - update Homepage field to a more specific location
+    - add missing ${misc:Depends} on libpxp-ocaml-dev
+  * debian/rules:
+    - avoid using ocamldoc-apiref-config (which is now gone), instead ship
+      a hand-written doc-base entry for upstream doc (Closes: #549750)
+    - switch to dh_ocaml for dependency generation, bump deps on dh-ocaml
+      accordingly. For the interim, keep old-style dependencies as well.
+    - switch {debhelper,dpatch}.mk: fix debian/*.log cleanup
+
+  [ Sylvain Le Gall ]
+  * Clean examples/validate/Makefile.config
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 06 Oct 2009 16:09:50 +0200
+
+pxp (1.2.1-1) unstable; urgency=low
+
+  [ Stefano Zacchiroli ]
+  * New Upstream Version
+  * Rebuild against OCaml 3.11, bump build-deps as needed
+  * update watch file
+  * debian/patches
+    - remove patch build_w_camlp5 (no longer needed, pxp now builds fine
+      with legacy camlp4 and ulex). As a consequence replace build-deps
+      from camlp5/ulex08 to camlp4/ulex
+    - add patch ocamldoc_missing_txt to avoid referencing an unavailable doc
+  * debian/*.in use high level substvar instead of making assumptions on
+    the stdlib dir location
+  * bump debhelper compatibility to 7
+  * debian/control
+    - drop obsolete version specifications in build-deps
+    - add build dep on dh-ocaml
+    - bump Standards-Version to 3.8.1 (no changes)
+    - move pxp to (new) archive section "ocaml"
+  * debian/docs: avoid installing vanished documents
+  * use upstream reference manual
+  * debian/rules:
+    - use ocaml.mk as a CDBS "rules" snippet
+    - create destdir at the end of the build
+    - generate doc-base entry for upstream ocamldoc API reference
+  * debian/links: add link to preserve upstream manual dir structure
+
+  [ Stephane Glondu ]
+  * Switching packaging to git
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Mar 2009 16:57:08 +0100
+
+pxp (1.2.0~test1-3) unstable; urgency=low
+
+  * debian/control: fix typo in package short description (closes: #446909)
+  * setting me as an uploader, d-o-m as the maintainer
+  * update standards-versions, no changes needed
+  * add Homepage field
+  * move expansion of upstream comments to ocamldoc-like comments to a
+    separate shell script, to avoid Makefile escaping issues
+  * debian/rules: use ocamlfind to pass -I flags down to ocamldoc and add
+    includes related to the netstring package
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 30 Dec 2007 09:33:33 +0100
+
+pxp (1.2.0~test1-2) unstable; urgency=low
+
+  * debian/rules
+    - enable generation of ocamldoc API reference (via CDBS)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 09 Sep 2007 12:18:47 +0200
+
+pxp (1.2.0~test1-1) experimental; urgency=low
+
+  * new upstream release
+  * rebuild with OCaml 3.10 (whereas using camlp5 and ulex 0.8)
+  * debian/watch
+    - add watch file (for the development version)
+  * bump debhelper deps and compatibility level to 5
+  * debian/control
+    - add build-dep on camlp5, ocaml-ulex08
+  * debian/patches/
+    - renamed patches to avoid numbers in their name, 00list is enough
+    - add patch build_w_camlp5, ensure pxp is buildable against camlp5
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 09 Aug 2007 16:49:18 -0400
+
+pxp (1.1.96-8) unstable; urgency=low
+
+  * debian/rules
+    - use ocaml.mk
+  * debian/control
+    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
+      ocaml.mk
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:26:41 +0100
+
+pxp (1.1.96-7) unstable; urgency=low
+
+  * debian/control
+    - bumped dependencies on ocamlnet
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Sep 2006 17:40:03 +0200
+
+pxp (1.1.96-6) unstable; urgency=low
+
+  * debian/rules
+    - avoid to create debian/control from debian/control.in on ocamlinit
+    - removed from the source package files which are generated at build time
+      from the corresponding .in files
+  * debian/control.in
+    - file removed, no longer needed
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue,  5 Sep 2006 22:36:25 +0200
+
+pxp (1.1.96-5) unstable; urgency=low
+
+  * Upload to unstable.
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 02:33:12 +0000
+
+pxp (1.1.96-4) experimental; urgency=low
+
+  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
+  * Bumped Standards-Version to 3.7.2 (no changes needed).
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 23:38:22 +0000
+
+pxp (1.1.96-3) unstable; urgency=low
+
+  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 13:16:07 +0100
+
+pxp (1.1.96-2) unstable; urgency=low
+
+  * debian/control
+    - tighter build-dep on ocamlnet, fixes FTBFS (closes: #340948)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 27 Nov 2005 11:37:14 +0100
+
+pxp (1.1.96-1) unstable; urgency=low
+
+  * new upstream release
+  * rebuilt with ocaml 3.09
+  * debian/*
+    - no more hardcoding of ocaml abi version anywhere
+  * debian/rules
+    - use cdbs
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 19:08:25 +0100
+
+pxp (1.1.95-7) unstable; urgency=low
+
+  * debian/control
+    - rebuilt against latest netstring (bumped ocamlnet deps accordingly)
+    - bumped ulex deps
+    - bumped standards-version
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 31 Jul 2005 20:51:24 +0200
+
+pxp (1.1.95-6) unstable; urgency=low
+
+  * Rebuilt against ocaml 3.08.3
+  * No longer built with wlex support (since wlex is no longer supported
+    upstream and corresponding package has been removed from the debian
+    archive)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Mar 2005 11:06:39 +0200
+
+pxp (1.1.95-5) unstable; urgency=low
+
+  * rebuilt against ocaml 3.08.2 (and ocamlnet 0.98-3, in turn rebuilt
+    against ocaml 3.08.2)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 Dec 2004 15:58:32 +0100
+
+pxp (1.1.95-4) unstable; urgency=low
+
+  * debian/control
+    - forced build-dep against ocaml-ulex to version >= 0.5-2 (first
+      version rebuilt against ocaml 3.08.2)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu,  2 Dec 2004 15:48:32 +0100
+
+pxp (1.1.95-3) unstable; urgency=low
+
+  * rebuilt against ocaml 3.08.2
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 30 Nov 2004 19:00:24 +0100
+
+pxp (1.1.95-2) unstable; urgency=medium
+
+  * debian/control
+    - bumped ocamlnet dependencies to >= 0.98-2 so that pxp get build
+      unbugged version of ocamlnet 0.98
+  * urgency set to medium, rationale: nothing serious has changed in pxp
+    since the last upload and it has been in the archive for quite a
+    long time
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 28 Sep 2004 10:21:47 +0200
+
+pxp (1.1.95-1) unstable; urgency=low
+
+  * New upstream release
+    - added ulex based lexical analyzer
+    - namespace support revised: it's now 100% compatible with W3C
+      requirements and is now possible to remember the mapping of
+      original prefixes to URIs
+    - improved event-based parsing
+    - added a camlp4 syntax extension to ease creation of XML trees
+  * rebuilt against ocamlnet 0.98
+  * dpatch-ified debian build process
+  * debian/control
+    - added dpatch Build-Dep
+    - bumped ocamlnet Deps and Build-Deps to >= 0.98
+    - added Deps and Build-Dep on ocaml-ulex
+  * debian/rules
+    - added dpatch targets and dependencies
+    - cosmetic changes
+  * debian/docs
+    - installs preprocessor documentation
+    - no longer installs (out of date) PXP manual
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 Sep 2004 15:37:31 +0200
+
+pxp (1.1.94.2-4) unstable; urgency=low
+
+  * rebuilt with ocaml 3.08
+  * debian/control
+    - bumped ocaml deps to 3.08
+    - bumped standards-version to 3.6.1.1
+    - changed ocaml deps to ocaml-nox
+    - bumped ocamlnet deps to >= 0.97.1 (1st version rebuilt with 3.08)
+    - bumped wlex deps to >= 20040706 (1st version rebuilt with 3.08)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Jul 2004 17:46:14 +0200
+
+pxp (1.1.94.2-3) unstable; urgency=low
+
+  * debian/control
+    - fixed typo in ocamlnet dependencies: s/0.96-4/0.97-4/
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 18 Mar 2004 19:12:10 +0100
+
+pxp (1.1.94.2-2) unstable; urgency=low
+
+  * Rebuilt with pcre 5.06
+  * debian/control
+    - bumped (Build-)Dependency of ocamlnet to >= 0.96-4, which has been
+      in turn rebuilt with pcre 5.06
+    - bumped Standards-Version to 3.6.1.0
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 15 Mar 2004 19:31:37 +0100
+
+pxp (1.1.94.2-1) unstable; urgency=low
+
+  * New upstream release
+    - include "validate" example fix (Closes: Bug#214049)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Nov 2003 18:24:00 +0100
+
+pxp (1.1.94-5) unstable; urgency=low
+
+  * Bumped ocaml-wlex dependencies
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue,  7 Oct 2003 16:53:20 +0200
+
+pxp (1.1.94-4) unstable; urgency=low
+
+  * Rebuilt with ocaml 3.07
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 13:58:20 +0200
+
+pxp (1.1.94-3) unstable; urgency=low
+
+  * Rebuilt with ocaml 3.07beta2
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 22 Sep 2003 17:16:29 +0200
+
+pxp (1.1.94-2) unstable; urgency=low
+
+  * debian/control
+    - bumped ocamlnet dependencies to 0.96 so that inconsistencies
+      between pxp and ocamlnet on architectures other than powerpc will
+      be fixed
+    - bumped Standards-Version to 3.6.0
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun,  3 Aug 2003 11:54:02 +0200
+
+pxp (1.1.94-1) unstable; urgency=low
+
+  * New upstream release, notably:
+    - rewritten Pxp_reader module (fixing bugs with relative URLs)
+    - Pxp_yacc module split in four modules (old module kept for
+      backward compatibility)
+    - is now possibile to turn warnings in errors
+    - event based parsing can now preprocess namespaces
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 23 Jun 2003 18:13:39 +0200
+
+pxp (1.1.93-4) unstable; urgency=low
+
+  * debian/control
+    - bumped standards-version to 3.5.10
+    - bumped dependencies on ocamlnet to 0.95
+    - changed section to "libdevel"
+  * debian/rules
+    - removed DH_COMPAT in favour of debian/compat
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 17 Jun 2003 16:01:53 +0200
+
+pxp (1.1.93-3) unstable; urgency=low
+
+  * Removed Provides:.*-<version>
+  * Changed dep on ocamlnet and wlex from virtual to real ones
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 10 Mar 2003 13:06:06 +0100
+
+pxp (1.1.93-2) unstable; urgency=low
+
+  * Libdir transition to /usr/lib/ocaml/3.06
+  * Changed depends and build depends to ocaml{,-base}-3.06-1
+  * Reformatted debian/copyright upstream author just to make lintian
+    happy
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Dec 2002 13:24:40 +0100
+
+pxp (1.1.93-1) unstable; urgency=low
+
+  * New upstream release
+  * Bumped Standards-Version to 3.5.8
+  * Added 'Provides: libpxp-ocaml-dev-<version>'
+  * Changed Deps and Build-Deps from generic
+    lib{ocamlnet,wlexing}-ocaml-dev to versioned
+    lib{ocamlnet,wlexing}-ocaml-dev-<version>
+  * Removed '-g' build flag
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 28 Nov 2002 23:58:17 +0100
+
+pxp (1.1.92-7) unstable; urgency=low
+
+  * Rebuilt against ocamlnet 0.94
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon,  4 Nov 2002 11:25:01 +0100
+
+pxp (1.1.92-6) unstable; urgency=low
+
+  * bugfix: install wlex-utf8 *.o stuff
+  * bugfix: added dep on libwlexing-ocaml-dev
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 17 Oct 2002 18:16:32 +0200
+
+pxp (1.1.92-5) unstable; urgency=low
+
+  * Bugfix: added build dep on ocaml-wlex
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Oct 2002 13:55:54 +0200
+
+pxp (1.1.92-4) unstable; urgency=low
+
+  * Removed copied pxp_lib.ml file from diff.gz
+  * Bugfix: added build depends on libwlexing-ocaml-dev
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri,  4 Oct 2002 17:57:34 +0200
+
+pxp (1.1.92-3) unstable; urgency=low
+
+  * Patched to install /usr/lib/ocaml/pxp-lex-<enc>/pxp_lex_link_<enc>.o
+    files, otherwise native code compilation does not work
+  * Patched "readme" example makefile so that it doesn't use '-custom'
+    option during native compilation (unexistent option)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri,  4 Oct 2002 16:29:26 +0200
+
+pxp (1.1.92-2) unstable; urgency=low
+
+  * Install all shipped examples (new event and pull parsers examples)
+  * Patched "validate" example makefile for using 'pxp-lex-utf8' lexer
+    because 'pxp-wlex-utf8' lexer is no longer available
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri,  4 Oct 2002 12:15:40 +0200
+
+pxp (1.1.92-1) unstable; urgency=low
+
+  * New upstream release
+  * Better test for ocamlopt existence in debian/rules
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu,  3 Oct 2002 21:45:47 +0200
+
+pxp (1.1.91-1) unstable; urgency=low
+
+  * New upstream release (development version)
+  * Rebuilt against ocaml 3.06 (Closes: Bug#158253)
+  * Switched to debhelper 4
+  * Changed deps and build-deps to ocaml-3.06
+  * Removed possibility to build against libnetstring which will not be
+    rebuilt starting from ocaml 3.06
+  * Changed from recommends to depends on ocaml-findlib
+  * Removed mention of ocaml-pxp from debian/control; the new naming schema
+    rulez!
+  * Removed dangling symlinks from an example dir (Closes: Bug#152297)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Aug 2002 15:25:50 +0200
+
+pxp (1.1.4-2) unstable; urgency=low
+
+  * Change Depends: and Build-Depends:, now depends on netstring
+    _or_ ocamlnet and build-depends only on ocamlnet
+  * Fixed some Makefiles so that they remove some stuff generated
+    by configure
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 May 2002 16:39:18 +0200
+
+pxp (1.1.4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed, 27 Mar 2002 20:47:53 +0100
+
+pxp (1.1.3-4) unstable; urgency=low
+
+  * Registered pxp with doc-base (Closes: Bug#137580).
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 13:18:49 +0100
+
+pxp (1.1.3-3) unstable; urgency=low
+
+  * Renamed package to libpxp-ocaml-dev
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Feb 2002 10:26:21 +0100
+
+pxp (1.1.3-2) unstable; urgency=low
+
+  * Now build depends on ocaml >= 3.04-3, hopefully will compile also on
+    ia64 and powerpc
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri, 11 Jan 2002 08:16:19 +0100
+
+pxp (1.1.3-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Stefano Zacchiroli <zack@debian.org>  Thu, 20 Dec 2001 12:08:01 +0100
+
+pxp (1.1.2-1) unstable; urgency=low
+
+  * New upstream release
+  * Built with ocaml 3.04
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 16 Dec 2001 21:49:58 +0100
+
+pxp (1.1-3) unstable; urgency=low
+
+  * debian/rules now ignore errors due to missing native code compiler
+  * removed .cvsignore files from binary package
+
+ -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 Oct 2001 14:53:12 +0200
+
+pxp (1.1-2) unstable; urgency=low
+
+  * Removed dangling symlinks from examples/xmlforms/styles/ directory
+    (closes: Bug#109265).
+  * Rebuilt with ocaml 3.02
+
+ -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Aug 2001 21:23:52 +0200
+
+pxp (1.1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri,  6 Jul 2001 23:58:34 +0200
+
+pxp (1.0-4) unstable; urgency=low
+
+  * Added pxp manual in HTML and PS format (closes: Bug#102906).
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun,  1 Jul 2001 00:03:07 +0200
+
+pxp (1.0-3) unstable; urgency=low
+
+  * Added 'ocaml-netstring' to build-deps (closes: Bug#94558)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Fri, 20 Apr 2001 12:19:47 +0200
+
+pxp (1.0-2) unstable; urgency=low
+
+  * Native code compilation now is optional
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Apr 2001 16:44:38 +0200
+
+pxp (1.0-1) unstable; urgency=low
+
+  * Initial Release.
+  * Package released (closes: Bug#92713).
+  * Package released (closes: Bug#92715).
+
+ -- Stefano Zacchiroli <zack@debian.org>  Tue,  3 Apr 2001 15:09:28 +0200
--- pxp-1.2.1.orig/debian/compat
+++ pxp-1.2.1/debian/compat
@@ -0,0 +1 @@
+7
--- pxp-1.2.1.orig/debian/clean
+++ pxp-1.2.1/debian/clean
@@ -0,0 +1 @@
+examples/validate/Makefile.config
--- pxp-1.2.1.orig/debian/dirs.in
+++ pxp-1.2.1/debian/dirs.in
@@ -0,0 +1 @@
+@OCamlStdlibDir@
--- pxp-1.2.1.orig/debian/rules
+++ pxp-1.2.1/debian/rules
@@ -0,0 +1,21 @@
+#!/usr/bin/make -f
+include /usr/share/cdbs/1/class/makefile.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/ocaml.mk
+
+PKGNAME = libpxp-ocaml-dev
+DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)
+DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR)
+
+configure/$(PKGNAME)::
+	./configure -without-wlex -without-wlex-compat
+	rm -f README	# it's a symlink, the real one is doc/README
+ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+build/$(PKGNAME)::
+	$(MAKE) opt
+endif
+binary-post-install/$(PKGNAME)::
+	-for f in debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)/examples/xmlforms/styles/* ; do \
+		test ! -r $$f && rm -f $$f ; \
+	done
--- pxp-1.2.1.orig/debian/copyright
+++ pxp-1.2.1/debian/copyright
@@ -0,0 +1,31 @@
+This package was debianized by Stefano Zacchiroli <zack@debian.org> on
+Tue,  3 Apr 2001 15:09:28 +0200.
+
+It was downloaded from: http://www.ocaml-programming.de
+
+Upstream Author: Gerd Stolpmann <gerd@gerd-stolpmann.de>
+
+Copyright:
+
+ Copyright 1999 by Gerd Stolpmann
+ 
+ The package "markup" is copyright by Gerd Stolpmann. 
+ 
+ Permission is hereby granted, free of charge, to any person obtaining a
+ copy of this document and the "markup" software (the "Software"), to
+ deal in the Software without restriction, including without limitation
+ the rights to use, copy, modify, merge, publish, distribute,
+ sublicense, and/or sell copies of the Software, and to permit persons
+ to whom the Software is furnished to do so, subject to the following
+ conditions:
+ 
+ The above copyright notice and this permission notice shall be included
+ in all copies or substantial portions of the Software.
+ 
+ The Software is provided ``as is'', without warranty of any kind,
+ express or implied, including but not limited to the warranties of
+ merchantability, fitness for a particular purpose and noninfringement.
+ In no event shall Gerd Stolpmann be liable for any claim, damages or
+ other liability, whether in an action of contract, tort or otherwise,
+ arising from, out of or in connection with the Software or the use or
+ other dealings in the software.
--- pxp-1.2.1.orig/debian/watch
+++ pxp-1.2.1/debian/watch
@@ -0,0 +1,2 @@
+version=3
+http://download.camlcity.org/download/pxp-(.*)\.tar\.gz
--- pxp-1.2.1.orig/debian/examples
+++ pxp-1.2.1/debian/examples
@@ -0,0 +1 @@
+examples/*
--- pxp-1.2.1.orig/debian/libpxp-ocaml-dev.doc-base
+++ pxp-1.2.1/debian/libpxp-ocaml-dev.doc-base
@@ -0,0 +1,8 @@
+Document: libpxp-ocaml-dev-ocamldoc-api-reference
+Title: libpxp-ocaml-dev OCamldoc API Reference
+Abstract: API reference manual for libpxp-ocaml-dev (generated via OCamldoc)
+Section: Programming/OCaml
+
+Format: HTML
+Index: /usr/share/doc/libpxp-ocaml-dev/html/api/index.html
+Files: /usr/share/doc/libpxp-ocaml-dev/html/api/*
--- pxp-1.2.1.orig/debian/links
+++ pxp-1.2.1/debian/links
@@ -0,0 +1 @@
+usr/share/doc/libpxp-ocaml-dev/html/ref	/usr/share/doc/libpxp-ocaml-dev/html/api
--- pxp-1.2.1.orig/debian/docs
+++ pxp-1.2.1/debian/docs
@@ -0,0 +1,5 @@
+doc/DEV
+doc/README
+doc/SPEC
+doc/design.txt
+doc/manual/html/
--- pxp-1.2.1.orig/debian/control
+++ pxp-1.2.1/debian/control
@@ -0,0 +1,38 @@
+Source: pxp
+Section: ocaml
+Priority: optional
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Stefano Zacchiroli <zack@debian.org>
+Build-Depends:
+ debhelper (>= 7),
+ ocaml-nox,
+ dh-ocaml (>= 0.9),
+ ocaml-findlib,
+ libocamlnet-ocaml-dev (>= 2.2.9-6),
+ ocaml-ulex,
+ camlp4,
+ dpatch,
+ cdbs
+Standards-Version: 3.8.3
+Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pxp.git
+Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pxp.git
+Homepage: http://projects.camlcity.org/projects/pxp.html
+
+Package: libpxp-ocaml-dev
+Architecture: any
+Depends:
+ ocaml-nox-${F:OCamlABI},
+ libocamlnet-ocaml-dev,
+ ocaml-findlib,
+ ocaml-ulex,
+ ${misc:Depends},
+ ${ocaml:Depends}
+Provides: ${ocaml:Provides}
+Description: OCaml library that implements an XML-1.0 validating parser
+ PXP is a validating parser for XML-1.0 which has been written entirely
+ in Objective Caml.
+ .
+ PXP is the new name of the parser formerly known as "Markup". PXP means
+ "Polymorphic XML parser" and emphasizes its most useful property: that
+ the API is polymorphic and can be configured such that different objects
+ are used to store different types of elements.
--- pxp-1.2.1.orig/debian/patches/00dpatch.conf
+++ pxp-1.2.1/debian/patches/00dpatch.conf
@@ -0,0 +1,2 @@
+conf_debianonly=1
+conf_origtargzpath=../upstream
--- pxp-1.2.1.orig/debian/patches/install_destdir.dpatch
+++ pxp-1.2.1/debian/patches/install_destdir.dpatch
@@ -0,0 +1,133 @@
+#! /bin/sh -e
+## 01_build.dpatch by  <zack@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch Makefiles so that stuff is installed under $(DESTDIR)
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-lex-pattern/Makefile.in pxp-1.1.95/gensrc/pxp-lex-pattern/Makefile.in
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-lex-pattern/Makefile.in	2004-09-04 19:48:32.000000000 +0200
++++ pxp-1.1.95/gensrc/pxp-lex-pattern/Makefile.in	2004-09-09 15:47:04.590588296 +0200
+@@ -45,7 +45,7 @@
+ 
+ install:
+ 	files=`$(COLLECT_FILES) *.mli *.cmi *.cma *.cmxa *.a pxp_lex_link_*.cmo pxp_lex_link_*.cmx pxp_lex_link_*.o META` && \
+-        $(OCAMLFIND) install pxp-lex-$(ENC) $$files
++        $(OCAMLFIND) install -destdir $(DESTDIR) pxp-lex-$(ENC) $$files
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-lex-$(ENC)
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-ulex-utf8/Makefile pxp-1.1.95/gensrc/pxp-ulex-utf8/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-ulex-utf8/Makefile	2004-09-04 19:48:32.000000000 +0200
++++ pxp-1.1.95/gensrc/pxp-ulex-utf8/Makefile	2004-09-09 15:47:26.088320144 +0200
+@@ -51,7 +51,7 @@
+ 
+ install:
+ 	files=`$(COLLECT_FILES) *.mli *.cmi *.cma *.cmxa *.a pxp_ulex_link_*.cmo pxp_ulex_link_*.cmx pxp_ulex_link_*.o META` && \
+-        $(OCAMLFIND) install pxp-ulex-$(ENC) $$files
++        $(OCAMLFIND) install -destdir $(DESTDIR) pxp-ulex-$(ENC) $$files
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-ulex-$(ENC)
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-wlex/Makefile pxp-1.1.95/gensrc/pxp-wlex/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-wlex/Makefile	2004-09-04 19:48:32.000000000 +0200
++++ pxp-1.1.95/gensrc/pxp-wlex/Makefile	2004-09-09 15:47:34.124098520 +0200
+@@ -19,7 +19,7 @@
+ 	rm -f META
+ 
+ install:
+-	$(OCAMLFIND) install pxp-wlex META
++	$(OCAMLFIND) install -destdir $(DESTDIR) pxp-wlex META
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-wlex
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-wlex-utf8/Makefile pxp-1.1.95/gensrc/pxp-wlex-utf8/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/gensrc/pxp-wlex-utf8/Makefile	2004-09-04 19:48:32.000000000 +0200
++++ pxp-1.1.95/gensrc/pxp-wlex-utf8/Makefile	2004-09-09 15:47:44.872464520 +0200
+@@ -48,7 +48,7 @@
+ 
+ install:
+ 	files=`$(COLLECT_FILES) *.mli *.cmi *.cma *.cmxa *.a pxp_wlex_link_*.cmo pxp_wlex_link_*.cmx pxp_wlex_link_*.o META` && \
+-        $(OCAMLFIND) install pxp-wlex-$(ENC) $$files
++        $(OCAMLFIND) install -destdir $(DESTDIR) pxp-wlex-$(ENC) $$files
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-wlex-$(ENC)
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/Makefile pxp-1.1.95/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/Makefile	2004-09-04 19:48:30.000000000 +0200
++++ pxp-1.1.95/Makefile	2004-09-09 15:44:23.180126416 +0200
+@@ -59,7 +59,7 @@
+ CLEAN: clean
+ 
+ .PHONY: distclean
+-distclean:
++distclean: clean
+ 	rm -f *~ Makefile.conf
+ 	$(MAKE) -C tools distclean
+ 	$(MAKE) -C src distclean
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/Makefile.rules pxp-1.1.95/Makefile.rules
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/Makefile.rules	2004-09-04 19:48:30.000000000 +0200
++++ pxp-1.1.95/Makefile.rules	2004-09-09 15:43:59.373745536 +0200
+@@ -4,7 +4,7 @@
+ 
+ # How to invoke compilers and tools:
+ 
+-OCAMLC    = $(OCAMLFIND) ocamlc -g $(OCAMLC_OPTIONS) -package "$(PACKAGES)"
++OCAMLC    = $(OCAMLFIND) ocamlc $(OCAMLC_OPTIONS) -package "$(PACKAGES)"
+ OCAMLOPT  = $(OCAMLFIND) ocamlopt $(OCAMLOPT_OPTIONS) -package "$(PACKAGES)"
+ OCAMLDEP  = ocamldep $(OCAMLDEP_OPTIONS)
+ OCAMLFIND = ocamlfind
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp/Makefile pxp-1.1.95/src/pxp/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp/Makefile	2004-09-04 19:48:31.000000000 +0200
++++ pxp-1.1.95/src/pxp/Makefile	2004-09-09 15:44:44.889826040 +0200
+@@ -13,7 +13,7 @@
+ 	rm -f META
+ 
+ install:
+-	$(OCAMLFIND) install pxp META
++	$(OCAMLFIND) install -destdir $(DESTDIR) pxp META
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp-engine/Makefile pxp-1.1.95/src/pxp-engine/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp-engine/Makefile	2004-09-04 19:48:31.000000000 +0200
++++ pxp-1.1.95/src/pxp-engine/Makefile	2004-09-09 15:45:04.383862496 +0200
+@@ -29,7 +29,7 @@
+ 
+ install:
+ 	files=`$(COLLECT_FILES) *.mli *.cmi *.cma *.cmxa *.a pxp_top.cmo META` && \
+-	$(OCAMLFIND) install pxp-engine $$files
++	$(OCAMLFIND) install -destdir $(DESTDIR) pxp-engine $$files
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-engine
+diff -urNad /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp-pp/Makefile pxp-1.1.95/src/pxp-pp/Makefile
+--- /home/zack/dati/debian/packages/pxp/pxp-1.1.95/src/pxp-pp/Makefile	2004-09-04 19:48:32.000000000 +0200
++++ pxp-1.1.95/src/pxp-pp/Makefile	2004-09-09 15:45:31.891680672 +0200
+@@ -24,7 +24,7 @@
+ 	rm -f META depend
+ 
+ install:
+-	$(OCAMLFIND) install pxp-pp pxp_pp.cma META
++	$(OCAMLFIND) install -destdir $(DESTDIR) pxp-pp pxp_pp.cma META
+ 
+ uninstall:
+ 	$(OCAMLFIND) remove pxp-pp
--- pxp-1.2.1.orig/debian/patches/ocamldoc_missing_txt.dpatch
+++ pxp-1.2.1/debian/patches/ocamldoc_missing_txt.dpatch
@@ -0,0 +1,20 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## ocamldoc_missing_txt.dpatch by Stefano Zacchiroli <zack@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: avoid dependending on a missing .txt document
+
+@DPATCH@
+diff -urNad pxp~/src/pxp-engine/Makefile.code pxp/src/pxp-engine/Makefile.code
+--- pxp~/src/pxp-engine/Makefile.code	2009-03-16 17:36:26.000000000 +0100
++++ pxp/src/pxp-engine/Makefile.code	2009-03-16 17:37:30.743013465 +0100
+@@ -21,8 +21,7 @@
+   	pxp_marshal.mli pxp_yacc.mli pxp_reader.mli \
+ 	intro_trees.txt intro_extensions.txt intro_namespaces.txt \
+         intro_events.txt intro_resolution.txt intro_getting_started.txt \
+-	intro_advanced.txt intro_preprocessor.txt \
+-	example_readme.txt
++	intro_advanced.txt intro_preprocessor.txt
+ 
+ XOBJ = $(OBJ:.cmo=.cmx)
+ 
--- pxp-1.2.1.orig/debian/patches/00list
+++ pxp-1.2.1/debian/patches/00list
@@ -0,0 +1,2 @@
+install_destdir.dpatch
+ocamldoc_missing_txt.dpatch